Bug 446436 - compiz(-kde) will need updating for KDE 4.1
compiz(-kde) will need updating for KDE 4.1
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: KDE41
  Show dependency treegraph
 
Reported: 2008-05-14 12:15 EDT by Kevin Kofler
Modified: 2008-07-24 13:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 13:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-05-14 12:15:17 EDT
Description of problem:
This is mainly a reminder so we don't forget: We are planning to push KDE 4.1 
to Fedora 9 in about 3 months. As compiz-kde uses libplasma, it will need 
updating together with KDE 4.1. Upstream has already modified compiz for the 
new libplasma API in KDE 4.1, see:
http://gitweb.freedesktop.org/?p=xorg/app/compiz.git;a=commit;h=ea6a2ce70ed5ff1a3544fd3165e21559d4f70854
I have already updated compiz in devel (F10) with this patch (see 
compiz-0.7.2-kde41-libplasma.patch). If you want, I can also take care of F9 
once KDE 4.1 comes.

IMPORTANT: This patch will BREAK support for KDE 4.0, so please do NOT apply 
it right now. And as this is now in upstream git, future compiz releases will 
probably have it, so if you're planning to upgrade compiz before we upgrade 
KDE, you will have to explicitly revert this patch.

And don't worry, the libplasma API/ABI will be frozen soon (upstream's plan is 
to do minor adjustments for 4.2, not major ones like from 4.0 to 4.1, and to 
freeze it after 4.2), so this mess should come to an end soon.

Version-Release number of selected component (if applicable):
compiz-0.7.2-3.fc9, KDE 4.1
Comment 1 Kevin Kofler 2008-05-14 12:20:24 EDT
I'm also CCing Adel who has been de-facto comaintaining compiz lately. ;-)
Comment 2 Adel Gadllah 2008-05-15 18:40:28 EDT
I don't see a reason why we can't add this patch when kde 4.1 is out, as its
just a backport from upstream. As for f10 there should be a release out by then
which will include the patch.
Comment 3 Kevin Kofler 2008-07-24 13:33:20 EDT
compiz-0.7.6-3.fc9.1 built, will be included in the update.

Note You need to log in before you can comment on or make changes to this bug.